Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence.query
Enum PathOperator

    java.lang.Object
      java.lang.Enum<PathOperator>
          org.apache.openjpa.persistence.query.PathOperator

All Implemented Interfaces:
  Serializable, Comparable<PathOperator>

    public enum PathOperator

extends Enum<PathOperator>

Operator that combines two components to form a path.

Author:
  Pinaki Poddar

Enum Constant Summary
`ENTRY`
`FETCH_INNER`
`FETCH_OUTER`
`INNER`
`KEY`
`NAVIGATION`
`NONE`
`OUTER`
`ROOT`
`VALUE`

Method Summary
`String` | `toString()`
`static PathOperator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PathOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final PathOperator NONE

### INNER

    public static final PathOperator INNER

### OUTER

    public static final PathOperator OUTER

### FETCH_INNER

    public static final PathOperator FETCH_INNER

### FETCH_OUTER

    public static final PathOperator FETCH_OUTER

### NAVIGATION

    public static final PathOperator NAVIGATION

### KEY

    public static final PathOperator KEY

### ROOT

    public static final PathOperator ROOT

### VALUE

    public static final PathOperator VALUE

### ENTRY

    public static final PathOperator ENTRY

Method Detail

### values

    public static PathOperator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PathOperator c : PathOperator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PathOperator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<PathOperator>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.